# _StreamInfo Struct Reference

## Data Fields

const ImageInfo * | image_info
const Image * | image
Image * | stream
QuantumInfo * | quantum_info
char * | map
StorageType | storage_type
unsigned char * | pixels
RectangleInfo | extract_info
long | y
ExceptionInfo * | exception
const void * | client_data
unsigned long | signature

## Field Documentation

const ImageInfo* _StreamInfo::image_info

const Image* _StreamInfo::image

Image* _StreamInfo::stream

QuantumInfo* _StreamInfo::quantum_info

char* _StreamInfo::map

StorageType _StreamInfo::storage_type

unsigned char* _StreamInfo::pixels

RectangleInfo _StreamInfo::extract_info

long _StreamInfo::y

ExceptionInfo* _StreamInfo::exception

const void* _StreamInfo::client_data

unsigned long _StreamInfo::signature

The documentation for this struct was generated from the following file:

- stream.c